#==============================================================================
# ■ Temporary
#------------------------------------------------------------------------------
#
#==============================================================================

module Frog; end

#------------------------------------------------------------------------------
# □ ウィンドウリサイズ
#------------------------------------------------------------------------------
Graphics.resize_screen(640, 480)
class RPG::Troop::Member
  alias _x x; alias _y y
  def x; _x + 48; end
  def y; _y + 48; end
end

class Spriteset_Battle
  #--------------------------------------------------------------------------
  # ● 戦闘背景（床）スプライトの作成
  #--------------------------------------------------------------------------
  def create_battleback1
    @back1_sprite = Sprite.new(@viewport1)
    @back1_sprite.bitmap = battleback1_bitmap
    @back1_sprite.z = 0
    center_sprite(@back1_sprite)
    # @back1_sprite.zoom_y = @back1_sprite.zoom_x
    @back1_sprite.zoom_x = Float(Graphics.width + 36) / @back1_sprite.width
  end
  #--------------------------------------------------------------------------
  # ● 戦闘背景（壁）スプライトの作成
  #--------------------------------------------------------------------------
  def create_battleback2
    @back2_sprite = Sprite.new(@viewport1)
    @back2_sprite.bitmap = battleback2_bitmap
    @back2_sprite.z = 1
    center_sprite(@back2_sprite)
    # @back2_sprite.zoom_y = @back2_sprite.zoom_x
    @back2_sprite.zoom_x = Float(Graphics.width + 36) / @back2_sprite.width
  end
end

#------------------------------------------------------------------------------
# □ タイトルシーン省略
#------------------------------------------------------------------------------
class Scene_Fast < Scene_Base
  #--------------------------------------------------------------------------
  # ● 開始処理
  #--------------------------------------------------------------------------
  def start
    super
    DataManager.setup_new_game
    $game_map.autoplay
    SceneManager.goto(Scene_Map)
  end
end
class << SceneManager
  #--------------------------------------------------------------------------
  # ● 最初のシーンクラスを取得
  #--------------------------------------------------------------------------
  def first_scene_class
    Scene_Fast
  end
end

#------------------------------------------------------------------------------
# □ ラベル選択肢
#------------------------------------------------------------------------------
class Game_Interpreter
  #--------------------------------------------------------------------------
  # ● ラベル選択肢のセットアップ
  #--------------------------------------------------------------------------
  def setup_label_choices(label_list, cancel_choice = "選択肢終端")
    label_list.each {|s| $game_message.choices.push(s) }
    $game_message.choice_cancel_type = label_list.size + 1
    $game_message.choice_proc = Proc.new {|n| @branch[@indent] = n }
    Fiber.yield while $game_message.choice?
    label_list += [cancel_choice]
    @params = [label_list[@branch[@indent]]]
    command_119
  end
end

#------------------------------------------------------------------------------
# □ フラッシュデータアクセス
#------------------------------------------------------------------------------
class Game_Map
  attr_reader   :flash_data
  #--------------------------------------------------------------------------
  # ○ セットアップ
  #--------------------------------------------------------------------------
  alias _flash_setup setup
  def setup(map_id)
    _flash_setup(map_id)
    @flash_data = Table.new(@map.width, @map.height)
  end
end

class Spriteset_Map
  #--------------------------------------------------------------------------
  # ○ タイルマップの更新
  #--------------------------------------------------------------------------
  alias _flash_update_tilemap update_tilemap
  def update_tilemap
    @tilemap.flash_data = $game_map.flash_data
    _flash_update_tilemap
  end
end

#------------------------------------------------------------------------------
# □ ぐにょぐにょスプライト実行テスト
#------------------------------------------------------------------------------
class Sprite_Character < Sprite_Base
  #--------------------------------------------------------------------------
  # ○ その他の更新
  #--------------------------------------------------------------------------
  alias _gunyogunyo_update_other update_other
  def update_other
    _gunyogunyo_update_other
    return unless @character == $game_player
    a = $game_switches[1] ? Graphics.frame_count % 180 : 0
    self.wave_amp = a
    self.wave_length = a
    self.wave_speed = a
    self.wave_phase = a
  end
end

class Spriteset_Weather
  #--------------------------------------------------------------------------
  # ○ フレーム更新
  #--------------------------------------------------------------------------
  alias _gunyogunyo_update update
  def update
    _gunyogunyo_update
    @sprites.each {|sprite| update_sprite(sprite) }
  end
  #--------------------------------------------------------------------------
  # ○ スプライトの更新
  #--------------------------------------------------------------------------
  alias _gunyogunyo_update_sprite update_sprite
  def update_sprite(sprite)
    _gunyogunyo_update_sprite(sprite)
    a = $game_switches[2] ? Graphics.frame_count % 180 : 0
    sprite.wave_amp = a
    sprite.wave_length = a
    sprite.wave_speed = a
    sprite.wave_phase = a
  end
end
